Skip to main content
GET
/
v1
/
add_ons
Retrieve AddOns visible to the current Company
curl --request GET \
  --url https://api.tread-horizon.com/v1/add_ons \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "add_on_types": [
        "driver_pay"
      ],
      "quantity": "<string>",
      "cost_rate_value": "<string>",
      "revenue_rate_value": "<string>",
      "revenue_cost_rate_type": "RateForEach",
      "external_id": "<string>",
      "percentage": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "tread_id": "ABC123",
        "legal_name": "<string>",
        "company_type": "hauler"
      },
      "accounting_id": "<string>",
      "rate": "<string>",
      "add_on_rate_type": "RateForEach",
      "taxable": false,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "fuel_surcharge_schedule": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

Response

OK

data
AddOn-Read · object[]
required